# $Revision: 1.52 $, $Date: 2004/12/12 10:18:07 $
#
# TODO:  Tests should be enabled.
# FIXME: Removing of Carp::Clan shoud happen in %%prep.
#        But tests will fail then.
# TODO:  Inform author about the namespace conflict with perl-Bit-Vector.
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Calc
Summary:	Date::Calc - Gregorian calendar date calculations
Summary(cs):	Date::Calc - modul pro rozen a efektivn potn s datem v Perlu
Summary(da):	Date::Calc - et modul for udvidet og effektiv datoberegning i Perl
Summary(de):	Date::Calc - ein Modul fr erweiterte und leistungsstarke Datenberechnungen in Perl
Summary(es):	Date::Calc - mdulo para los clculos de datos extendidos y eficientes en Perl
Summary(fr):	Date::Calc - module de calcul de date tendu et efficace dans Perl
Summary(it):	Date::Calc - modulo per gestire in modo completo ed efficiente i calcoli delle date in Perl
Summary(ja):	Date::Calc - PerlγĥǸΨŪջФΰ٤Υ⥸塼롣
Summary(ko):	Date::Calc - Perl Ͽ Ȯǰ ȿ ¥ ϴµ Ǵ 
Summary(pl):	Date::Calc - obliczanie daty na podstawie kalendarza gregoriaskiego
Summary(pt):	Date::Calc - um mdulo para o clculo eficiente e extendido de datas em Perl
Summary(pt_BR):	Date::Calc - um mdulo para o clculo eficiente e extendido de datas em Perl
Summary(sv):	Date::Calc - en modul fr utkade och effektiva datumberkningar i Perl
Summary(tr):	Date::Calc - Perl'de geniletilmi ve etkili tarih hesaplamalar iin bir modl
Summary(zh_CN):	Date::Calc -  Perl չĺЧڼģ顣
Summary(zh_TW):	Date::Calc - Ω Perl PĲvƭp⪺@ӼҲաC
Name:		perl-Date-Calc
Version:	5.4
Release:	1
# same as perl (C library also LGPL)
License:	GPL v1+ or Artistic (C library also LGPL)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7ae34972694127e8f1c9a2af1c24585b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Bit-Vector >= 5.7
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package consists of a C library and a Perl module (which uses the
C library, internally) for all kinds of date calculations based on the
Gregorian calendar (the one used in all western countries today),
thereby complying with all relevant norms and standards: ISO/R
2015-1971, DIN 1355 and, to some extent, ISO 8601 (where applicable).

%description -l cs
Tato knihovna poskytuje rzn typy potn s datem zaloen na
gregorinskm kalendi (pouvanm nyn ve vech zpadnch zemch),
m vyhovuje vem relevantnm normm a standardm: ISO/R 2015-1971,
DIN 1355 a do urit mry ISO 8601 (kde to dv smysl).

%description -l da
Biblioteket laver alle slags datoberegninger baseret p den
gregorianske kalender (den som bruges i alle vestlige lande i dag), og
flger derved alle relevante normer og standarder: ISO/R 2015-1971,
DIN 1355 og, i nogen udstrkning, ISO 8601 (hvis relevant).

%description -l de
Die Bibliothek liefert jede Art der Datenberechnung auf der Grundlage
des gregorianischen Kalenders (der heute in allen westlichen Lndern
verwendet wird) und entspricht damit allen relevanten Richtlinien und
Standards: ISO/R 2015-1971, DIN 1355 und, in gewissem Mae, ISO 8601
(wo gltig).

%description -l es
La librera proporciona todos los tipos de clculos de datos basados
en el calendario gregoriano (usado en todos los pases del oeste hoy
en da), que cumple todas las normas y estndare relevantes: ISO/R
2015-1971, DIN 1355 and, to some extent, ISO 8601 (en los casos en los
que se pueda aplicar).

%description -l fr
La bibliothque fournit toutes sortes de calculs de dates bass sur le
calendrier grgorien (celui qu'utilisent aujourd'hui tous les pays
europens). Il est donc adapt  toutes les normes et tous les
standards: ISO/R 2015-1971, DIN 1355 et dans une certaine mesure ISO
8601 (lorsqu'elle est applicable).

%description -l it
La libreria fornisce ogni sorta di calcolo delle date basandosi sul
calendario Gregoriano (utilizzato in tutti i paesi occidentali), in
conformit con le norme e gli standard pi appropriati: ISO/R
2015-1971, DIN 1355 e, anche ISO 8601 (se applicabile).

%description -l ko
 ̺귯 ( 翡 Ǵ) ׷¿  
 ¥  մϴ.     İ ǥ
ؼմϴ: ISO/R, 2015-1971, DIN 1355, ׸ ISO 8601 ( 
).

%description -l pl
Ten pakiet zawiera bibliotek C i modu Perla (uywajcy wewntrznie
tej biblioteki) do wszystkich rodzajw oblicze na datach bazujcych
na kalendarzu gregoriaskim (uywanym we wszystkich zachodnich
pastwach), zgodnie z normami i standardami: ISO/R 2015-1971, DIN 1355
i, do pewnego stopnia, ISO 8601.

%description -l pt
A biblioteca oferece todo o tipo de clculos de data com base no
calendrio Gregoriano (o que  usado em todos os pases ocidentais nos
dias de hoje), estando desta forma em conformidade com todas as
normas: a ISO/R 2015-1971, a DIN 1355 e, a certo nvel, a ISO 8601
(onde for aplicvel).

%description -l pt_BR
A biblioteca oferece todo o tipo de clculos de data com base no
calendrio Gregoriano (o que  usado em todos os pases ocidentais nos
dias de hoje), estando desta forma em conformidade com todas as
normas: a ISO/R 2015-1971, a DIN 1355 e, a certo nvel, a ISO 8601
(onde for aplicvel).

%description -l sv
Biblioteket klarar alla sorters datumberkningar baserade p den
gregorianska kalendern (den som anvnds i alla vstlnder idag), och
fljer drvid alla relavanta normer och standarder: ISO/R 2015-1971,
DIN 1355 och, i viss mn, ISO 8601 (dr den r tillmplig).

%description -l zh_CN
ÿṩ˸ཨڸи()ϵ
ڼ㡣صı׼ISO/R
2015-1971DIN 1355 ĳ̶ֳϵ ISO 8601
()

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a tools $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f GNU_{,L}GPL.txt Artistic.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{perl_vendorarch}/Date
%{perl_vendorarch}/Date/*.pm
%dir %{perl_vendorarch}/Date/Calc
%{perl_vendorarch}/Date/Calc/*.pm
%dir %{perl_vendorarch}/Date/Calendar
%{perl_vendorarch}/Date/Calendar/*.pm
%dir %{perl_vendorarch}/auto/Date
%dir %{perl_vendorarch}/auto/Date/Calc
%{perl_vendorarch}/auto/Date/Calc/Calc.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Date/Calc/Calc.so
%{_mandir}/man3/Date*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Date-Calc.spec,v $
Revision 1.52  2004/12/12 10:18:07  adamg
- updated to 5.4

Revision 1.51  2004/11/03 22:30:17  paladine
- formatting

Revision 1.50  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.49  2004/05/07 00:38:11  ankry
- rel. 4

Revision 1.48  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.47  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.46  2004/04/20 10:08:07  ankry
- new bconds

Revision 1.45  2004/04/19 22:22:14  ankry
- license/description fixes

Revision 1.44  2004/02/25 22:29:38  undefine
- release 3 to allow upgrade from RA

Revision 1.43  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.42  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.40  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/04/20 22:41:29  ankry
- merged translations from RH

Revision 1.38  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.37  2003/03/01 18:05:15  radek
- should be ready for perl-5.8.0; release++

Revision 1.36  2003/02/28 10:08:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.35  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.34  2003/02/18 15:31:15  ankry
- massive attack: change CPAN URLs

Revision 1.33  2002/10/05 12:15:23  ankry
- (auto)updated

Revision 1.32  2002/09/26 15:18:56  ankry
- version 5.2, release 1

Revision 1.31  2002/09/14 12:52:17  qboosh
- added pl description, release 2

Revision 1.30  2002/09/12 22:21:19  radek
- version 5.1
- provided informative summary/description
STBR

Revision 1.29  2002/07/16 23:30:05  ankry
- fix License field, remove License files
- added %%{perl_sitearch}/Date and %%{perl_sitearch}/auto/Date dirs
- release 10

Revision 1.28  2002/07/16 11:47:41  ankry
- translations, cleaning
- release 9

Revision 1.27  2002/07/14 02:23:07  qboosh
- removed Carp::Clan - it's in required perl-Bit-Vector now
- release 8

Revision 1.26  2002/07/13 23:06:36  qboosh
- added missing files, BR: perl-Bit-Vector
- new %%doc, cosmetics, release 7

Revision 1.25  2002/07/10 08:46:57  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/03/10 18:48:54  djrzulf
- added missed (?) Carp file,
- Release 6,
- STBR

Revision 1.22  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:11:02  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:25:07  depesz
adapterized

Revision 1.18  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/29 19:56:25  kloczek
- release 3.

Revision 1.16  2001/10/26 11:20:14  blues
- release 2
- removed Carp man page to avoid conflicts with perl-Bit-Vector
NOTE: maybe move Carp:Clan to separate package?

Revision 1.15  2001/10/18 10:44:11  mis
- autoupdated to 5.0

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:07:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/30 22:27:09  kloczek
- typos.

Revision 1.9  2000/12/30 22:20:03  kloczek
- missing %%{version} macro in %install.

Revision 1.8  2000/12/30 22:16:52  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:40:05  pius
- updated to 4.3

Revision 1.2  1999/11/04 21:24:39  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
